콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
https://store.xsolla.com/api/
작업
작업
작업

요청

카탈로그 작성을 위한 가상 통화 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/virtual_currency?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

가상 화폐 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_6_items)
예제: [{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"value":"5"}]}],"description":"Big Rocket - short description","groups":[{"external_id":"accessory","name":"Accessory"}],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Big Rocket","price":{"amount":"100.99","amount_without_discount":"100.99","currency":"USD"},"sku":"big_rocket","type":"virtual_currency","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"shotgun_raider","type":"virtual_currency"}]},{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"value":"1"}]},{"external_id":"rating","name":"Rating","values":[{"value":"3.9"}]},{"external_id":"genre","name":"Genre","values":[{"value":"Strategy"},{"value":"Tactical"},"Turn-based"]}],"description":"description","groups":[{"external_id":"hair","name":"Hair"}],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"SHOTGUN FOR TRUE RAIDERS","price":{"amount":"101.0","amount_without_discount":"101.0","currency":"USD"},"sku":"shotgun_raider","type":"virtual_currency","virtual_prices":[]},{"attributes":[],"description":"description","groups":[],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"shotgun_raider_2","type":"virtual_currency","virtual_prices":[]}]
응답
application/json
{ "items": [ {}, {}, {} ] }

요청

카탈로그 구축을 위한 가상 통화 패키지 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/virtual_currency/package?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

가상 통화 패키지 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_7_items)
예제: [{"attributes":[],"bundle_type":"virtual_currency_package","content":[{"description":"Big Rocket - short description","image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","inventory_options":{"consumable":{"usages_count":1}},"name":"Big Rocket","quantity":100,"sku":"big_rocket","type":"virtual_currency"}],"description":"VC Short Package Description","groups":[],"image_url":"http://vc_package_image.png","is_free":false,"name":"VC Name first package","price":{"amount":"2.0000","amount_without_discount":"2.0000","currency":"USD"},"sku":"vc_package_1","type":"bundle","virtual_prices":[]},{"attributes":[],"bundle_type":"virtual_currency_package","content":[{"description":"description","image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1}},"name":"SHOTGUN FOR TRUE RAIDERS","quantity":200,"sku":"shotgun_raider","type":"virtual_currency"}],"description":"VC Short Package Description","groups":[],"image_url":"http://vc_package_image.png","is_free":false,"name":"VC Name third package","price":{"amount":"4.0000","amount_without_discount":"4.0000","currency":"USD"},"sku":"vc_package_3","type":"bundle","virtual_prices":[]}]
응답
application/json
{ "items": [ {}, {} ] }

요청

카탈로그 작성을 위한 가상 아이템 목록을 가져옵니다.

주의. 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/virtual_items?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

가상 아이템 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_5_items)
예제: [{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"external_id":"size_e3364991f92e751689a68b96598a5a5a84010b85","value":"5"}]}],"description":"Big Rocket - description","groups":[{"external_id":"accessory","name":"Accessory"}],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"Big Rocket","price":{"amount":"100.99","amount_without_discount":"100.99","currency":"USD"},"sku":"big_rocket","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"}]},{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"external_id":"size_e3364991f92e751689a68b96598a5a5a84010b85","value":"5"}]},{"external_id":"rating","name":"Rating","values":[{"external_id":"rating_e3364991f92e751689a68b96598a5a5a84010b85","value":"3.9"}]}],"description":"description","groups":[{"external_id":"hair","name":"Hair"}],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"SHOTGUN FOR TRUE RAIDERS","price":{"amount":"101.0","amount_without_discount":"101.0","currency":"USD"},"sku":"shotgun_raider","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"description":"description","image_url":"http://image.png","is_default":false,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test_2","type":"virtual_currency"}]},{"attributes":[],"description":"description","groups":[],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"shotgun_raider_2","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[]}]
응답
application/json
{ "items": [ {}, {}, {} ] }
작업
작업
작업
작업